%global momorel 8

Summary: YafRay: Yet Another Free RAYtracer
Name: yafray
Version: 0.0.9
Release: %{momorel}m%{?dist}
License: LGPLv2+
URL: http://www.yafray.org/
Group: Applications/Multimedia
Source0: http://www.yafray.org/sec/2/downloads/%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: yafray-gcc43.patch
BuildRequires: OpenEXR-devel >= 1.6.1
BuildRequires: libjpeg-devel
BuildRequires: scons >= 1.2.0
BuildRequires: zlib-devel

%description
YafRay is a graphic raytracer to render 3D models.

%prep
%setup -q -n %{name}

perl -pi -e 's@/lib@/%{_lib}@g' linux-settings.py

%patch0 -p1 -b .gcc43~

%build

%ifarch %{ix86}
cp -p linux-settings.py linux-settings.ix86
mkdir build-sse2

perl -pi -e \
	's/-O3 -ffast-math -fomit-frame-pointer/%{optflags} -O3 -ffast-math -msse2 -mfpmath=sse/g' linux-settings.py

scons %{?_smp_mflags} prefix=%{_prefix}

# TODO: also the plugins .so files should be under ./build-sse2, but we need
# to modify the yafray library code so that they will be searched into
# /usr/lib/yafray/sse2/ too, before /usr/lib/yafray/.
cp -p ./src/interface/libyafrayplugin.so \
	./src/yafraycore/libyafraycore.so ./build-sse2

scons -c 

cp -p linux-settings.ix86 linux-settings.py
%endif

perl -pi -e \
	's/-O3 -ffast-math -fomit-frame-pointer/%{optflags} -O3 -ffast-math/g' linux-settings.py

scons %{?_smp_mflags} prefix=%{_prefix}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
scons install prefix=%{buildroot}%{_prefix}

%ifarch %{ix86}
mkdir -p %{buildroot}%{_prefix}/%{_lib}/sse2
install -m 755 ./build-sse2/libyafrayplugin.so %{buildroot}%{_prefix}/%{_lib}/sse2/
install -m 755 ./build-sse2/libyafraycore.so %{buildroot}%{_prefix}/%{_lib}/sse2/
%endif

# our sysconf dir is /etc not /usr/etc
mv %{buildroot}%{_prefix}/etc %{buildroot}/etc

# remove .sconsign files
find %{buildroot} -name .sconsign -exec rm -f {} \;

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README
%doc doc/doc.html
%{_sysconfdir}/gram.yafray
%{_bindir}/yafray
# Plugins
%{_libdir}/yafray
%ifarch %{ix86}
%{_libdir}/sse2/libyafray*.so
%endif
# Warning: Module, not development library
%{_libdir}/libyafraycore.so
%{_libdir}/libyafrayplugin.so

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.9-8m)
- rebuild against rpm-4.6

* Fri Jan  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.9-7m)
- rebuild against scons-1.2.0
-- use system scons instead of scons-local
- License: LGPLv2+

* Sun Apr 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.9-6m)
- use scons-local-0.97 for the moment
- release a directory owned by filesystem

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.9-5m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.9-4m)
- rebuild against OpenEXR-1.6.1

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.9-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.9-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Mar  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.9-1m)
- initial package for k3d-0.6.6.0
- package style is imported from cooker
